## libratbag 0.9

=== meson_options.txt ===
option('udev-dir',
       type: 'string',
       default: '',
       description: 'udev base directory [default=$prefix/lib/udev]')

option('enable-tests',
	type: 'boolean',
	value: true,
	description: 'Build the tests (default=yes)')

option('enable-documentation',
	type: 'boolean',
	value: true,
	description: 'Build the documentation (default=yes)')

## libratbag 0.4

=== debian/changelog ===
libratbag (0.4-2) unstable; urgency=medium

  * Split the common files out, otherwise transitions will be
    impossible.
  * Install udev files in /lib/udev. Closes: #819633.

 -- Stephen Kitt <skitt@debian.org>  Thu, 31 Mar 2016 12:59:40 +0200

libratbag (0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 16 Mar 2016 08:56:01 +0100

libratbag (0.3-2) unstable; urgency=medium

  * Install udev files in /lib/udev.

 -- Stephen Kitt <skitt@debian.org>  Tue, 08 Mar 2016 17:29:37 +0100

libratbag (0.3-1) unstable; urgency=low

  * Initial release. Closes: #801896.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Mar 2016 11:48:03 +0100

=== debian/control ===
Source: libratbag
Maintainer: Stephen Kitt <skitt@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               doxygen,
               graphviz,
               libevdev-dev,
               libudev-dev,
               pkg-config,
               valgrind
Standards-Version: 3.9.7
Homepage: https://github.com/libratbag/libratbag/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libratbag.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/libratbag.git

Package: liblur3
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Logitech Unifying Receiver access library
 liblur is an access library for devices connected to Logitech
 Unifying Receivers. It provides functions to enumerate or disconnect
 paired devices, and pair new devices.

Package: liblur-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: liblur3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Logitech Unifying Receiver access library - dev files
 liblur is an access library for devices connected to Logitech
 Unifying Receivers. It provides functions to enumerate or disconnect
 paired devices, and pair new devices.
 .
 This package contains the files required to build software using
 liblur.

Package: libratbag3
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libratbag-common (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: configuration library for gaming mice
 libratbag is a configuration library for gaming mice. It provides a
 generic way to access the various features exposed by these mice and
 abstracts away hardware-specific and kernel-specific quirks.
 .
 It currently supports some Etekcity and Roccat mice, and most
 Logitech mice (both gaming and generic mice).

Package: libratbag-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Breaks: libratbag2, libratbag3 (<< 0.4-2)
Replaces: libratbag2, libratbag3 (<< 0.4-2)
Description: configuration library for gaming mice - common files
 libratbag is a configuration library for gaming mice. It provides a
 generic way to access the various features exposed by these mice and
 abstracts away hardware-specific and kernel-specific quirks.
 .
 It currently supports some Etekcity and Roccat mice, and most
 Logitech mice (both gaming and generic mice).
 .
 This package contains libratbag's udev rules and mouse images.

Package: libratbag-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: libratbag3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libratbag-doc
Pre-Depends: ${misc:Pre-Depends}
Description: configuration library for gaming mice - development files
 libratbag is a configuration library for gaming mice. It provides a
 generic way to access the various features exposed by these mice and
 abstracts away hardware-specific and kernel-specific quirks.
 .
 It currently supports some Etekcity and Roccat mice, and most
 Logitech mice (both gaming and generic mice).
 .
 This package contains the files required to build software using
 libratbag.

Package: libratbag-doc
Architecture: all
Section: doc
Depends: libjs-jquery, libjs-bootstrap, libjs-mathjax, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: configuration library for gaming mice - documentation
 libratbag is a configuration library for gaming mice. It provides a
 generic way to access the various features exposed by these mice and
 abstracts away hardware-specific and kernel-specific quirks.
 .
 It currently supports some Etekcity and Roccat mice, and most
 Logitech mice (both gaming and generic mice).
 .
 This package contains the developer documentation for libratbag.

Package: libratbag-tools
Architecture: linux-any
Section: utils
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: configuration tools for gaming mice
 This package contains lur-command and ratbag-command. lur-command
 controls Logitech Unifying Receivers and attached devices, allowing
 devices to be enumerated, disconnected and paired. ratbag-command
 controls libratbag-supported gaming mice, allowing settings such as
 DPI, report rate, and button actions to be queried and configured.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf 

override_dh_auto_configure:
	dh_auto_configure -- --with-udev-base-dir=/lib/udev

## libratbag 0.5

=== debian/changelog ===
libratbag (0.5-2) unstable; urgency=medium

  * Disable valgrind and remove it from the build-dependencies — it's
    currently not very useful with the included tests, and it limits the
    architectures we can build successfully on.
  * Re-enable symbols-leak-test, it works fine without valgrind.
  * Avoid shipping the unnecessary .md5 files generated by doxygen.
  * Add a manpage for lur-command.

 -- Stephen Kitt <skitt@debian.org>  Wed, 26 Oct 2016 13:45:33 +0200

libratbag (0.5-1) unstable; urgency=medium

  * New upstream release.
  * Add build-dependency on check for the tests (but disable
    symbols-leak-test for now — it blows up because of issues in bash).
  * Clean up debian/control with cme.
  * Standards-Version 3.9.8, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 16 Sep 2016 17:55:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: check,
+               debhelper (>= 9),
                dh-autoreconf,
                doxygen,
                graphviz,
                libevdev-dev,
                libudev-dev,
-               pkg-config,
-               valgrind
-Standards-Version: 3.9.7
-Homepage: https://github.com/libratbag/libratbag/
+               pkg-config
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libratbag.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libratbag.git
+Homepage: https://github.com/libratbag/libratbag/
 
 Package: liblur3
 Architecture: linux-any
@@ -62,8 +62,10 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: libratbag2, libratbag3 (<< 0.4-2)
-Replaces: libratbag2, libratbag3 (<< 0.4-2)
+Breaks: libratbag2,
+        libratbag3 (<< 0.4-2)
+Replaces: libratbag2,
+          libratbag3 (<< 0.4-2)
 Description: configuration library for gaming mice - common files
  libratbag is a configuration library for gaming mice. It provides a
  generic way to access the various features exposed by these mice and
@@ -97,7 +99,10 @@
 Package: libratbag-doc
 Architecture: all
 Section: doc
-Depends: libjs-jquery, libjs-bootstrap, libjs-mathjax, ${misc:Depends}
+Depends: libjs-jquery,
+         libjs-bootstrap,
+         libjs-mathjax,
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: configuration library for gaming mice - documentation
  libratbag is a configuration library for gaming mice. It provides a

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf 

override_dh_auto_configure:
	dh_auto_configure -- --with-udev-base-dir=/lib/udev --disable-valgrind

override_dh_auto_install:
	dh_auto_install
	find . -name \*.md5 -delete

=== debian/watch ===
version=3
https://github.com/libratbag/libratbag/releases (?:.*/)?v?(\d[\d\.]*)\.(?:tar\.gz|tar\.bz2|tar\.xz)

## libratbag 0.9

=== debian/changelog ===
libratbag (0.9-6) unstable; urgency=medium

  * Drop build-dependency on dh-exec.
  * Add Build-Depends-Package and tag versioning symbols in
    liblur3.symbols and libratbag4.symbols.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.3.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 27 Jan 2019 18:52:05 +0100

libratbag (0.9-5) unstable; urgency=medium

  * Migrate to Salsa.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 07 May 2018 11:42:26 +0200

libratbag (0.9-4) unstable; urgency=medium

  * Make libratbag-tools break liblur3, ensuring that we can’t end up
    with a missing lur-command.1. Closes: #867671. Thanks Andreas!
  * Switch to debhelper compatibility level 11. This moves the
    documentation from /usr/share/doc/libratbag-doc to
    /usr/share/doc/libratbag-dev, still in the libratbag-doc package.
  * Standards-Version 4.1.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 10 Jan 2018 19:56:06 +0100

libratbag (0.9-3) unstable; urgency=medium

  * Use “value” instead of “default” in meson_options.txt to allow
    building with 0.43. Closes: #880869.
  * Update debian/copyright.
  * Standards-Version 4.1.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 05 Nov 2017 22:57:24 +0100

libratbag (0.9-2) unstable; urgency=medium

  * lur-command.1 ended up in liblur3 0.5, so libratbag-tools needs to
    replace it.

 -- Stephen Kitt <skitt@debian.org>  Fri, 07 Jul 2017 08:40:17 +0200

libratbag (0.9-1) unstable; urgency=medium

  * New upstream release, using Meson, obsoleting
    configure-valgrind.patch and including the lur-command manpage.
  * Switch to debhelper compatibility level 10.
  * Update watch file.

 -- Stephen Kitt <skitt@debian.org>  Mon, 19 Jun 2017 21:26:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Section: libs
 Priority: optional
 Build-Depends: check,
-               debhelper (>= 9),
-               dh-autoreconf,
+               debhelper (>= 11~),
                doxygen,
                graphviz,
                libevdev-dev,
                libudev-dev,
+               meson (>= 0.40),
                pkg-config
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/libratbag.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/libratbag.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/debian/libratbag
+Vcs-Git: https://salsa.debian.org/debian/libratbag.git
 Homepage: https://github.com/libratbag/libratbag/
+Rules-Requires-Root: no
 
 Package: liblur3
 Architecture: linux-any
@@ -42,7 +43,7 @@
  This package contains the files required to build software using
  liblur.
 
-Package: libratbag3
+Package: libratbag4
 Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -80,7 +81,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
-Depends: libratbag3 (= ${binary:Version}),
+Depends: libratbag4 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libratbag-doc
@@ -119,6 +120,8 @@
 Section: utils
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Breaks: liblur3 (<< 0.9-1)
+Replaces: liblur3 (<< 0.9-1)
 Description: configuration tools for gaming mice
  This package contains lur-command and ratbag-command. lur-command
  controls Logitech Unifying Receivers and attached devices, allowing

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

export DEB_HOST_MULTIARCH

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dudev-dir=/lib/udev

override_dh_auto_install:
	find . -name \*.md5 -delete
	dh_auto_install

## libratbag 0.9.904

=== debian/changelog ===
libratbag (0.9.904-3) unstable; urgency=medium

  * Make libratbag-tools break liblur3, ensuring that we can’t end up
    with a missing lur-command.1. Closes: #867671. Thanks Andreas!

 -- Stephen Kitt <skitt@debian.org>  Fri, 08 Feb 2019 13:32:19 +0100

libratbag (0.9.904-2) unstable; urgency=medium

  * After discussion with upstream, Buster should ship with this version
    rather than the old 0.9, so upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Wed, 06 Feb 2019 18:20:54 +0100

libratbag (0.9.904-1) experimental; urgency=medium

  * New upstream pre-release.
  * Add Build-Depends-Package and tag versioning symbols in
    liblur3.symbols.
  * Standards-Version 4.3.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 27 Jan 2019 19:00:24 +0100

libratbag (0.9.903-1) experimental; urgency=medium

  * New upstream pre-release.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 13 Sep 2018 21:39:28 +0200

libratbag (0.9.902-1) experimental; urgency=medium

  * New upstream pre-release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 May 2018 14:19:36 +0200

libratbag (0.9.901-3) experimental; urgency=medium

  * Migrate to Salsa.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 07 May 2018 11:36:59 +0200

libratbag (0.9.901-2) experimental; urgency=medium

  * Enforce a UTF-8 locale (the Python source uses UTF-8). Closes:
    #887072.

 -- Stephen Kitt <skitt@debian.org>  Sat, 13 Jan 2018 23:15:49 +0100

libratbag (0.9.901-1) experimental; urgency=medium

  * New upstream pre-release, including the Meson 0.43 fix. Closes:
    #880869.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 13 Jan 2018 13:19:09 +0100

libratbag (0.9.900-2) experimental; urgency=medium

  * Disable the valgrind tests, valgrind isn’t available everywhere yet.
  * Add missing build-dependency on systemd.

 -- Stephen Kitt <skitt@debian.org>  Mon, 18 Sep 2017 20:47:23 +0200

libratbag (0.9.900-1) experimental; urgency=medium

  * New upstream pre-release, dropping libratbag and providing ratbagd:
    - build-depend on Python and python3-evdev;
    - drop libratbag4, libratbag-dev and libratbag-doc;
    - drop the now unnecessary documentation build-dependencies;
    - rename libratbag-tools to lur-command and provide a transitional
      package;
    - merge libratbag-common with ratbagd.
  * Update debian/copyright.
  * Standards-Version 4.1.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 13 Sep 2017 19:38:31 +0200

## libratbag 0.9.905

=== debian/changelog ===
libratbag (0.9.905-1) unstable; urgency=medium

  * New upstream pre-release.
  * Adjust the ratbagctl manpage to account for argument changes.

 -- Stephen Kitt <skitt@debian.org>  Thu, 28 Feb 2019 21:07:22 +0100

=== debian/control ===
Source: libratbag
Maintainer: Stephen Kitt <skitt@debian.org>
Section: libs
Priority: optional
Build-Depends: check,
               debhelper (>= 11~),
               dh-python,
               git,
               libevdev-dev,
               libglib2.0-dev,
               libsystemd-dev (>= 227),
               libudev-dev,
               meson (>= 0.40),
               pkg-config,
               python3-dev,
               python3-evdev,
               python3-gi,
               python3-lxml,
               swig,
               systemd
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian/libratbag
Vcs-Git: https://salsa.debian.org/debian/libratbag.git
Homepage: https://github.com/libratbag/libratbag/
Rules-Requires-Root: no

Package: liblur3
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Logitech Unifying Receiver access library
 liblur is an access library for devices connected to Logitech
 Unifying Receivers. It provides functions to enumerate or disconnect
 paired devices, and pair new devices.

Package: liblur-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: liblur3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Logitech Unifying Receiver access library - dev files
 liblur is an access library for devices connected to Logitech
 Unifying Receivers. It provides functions to enumerate or disconnect
 paired devices, and pair new devices.
 .
 This package contains the files required to build software using
 liblur.

Package: lur-command
Architecture: linux-any
Section: utils
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: liblur3 (<< 0.9-1), libratbag-tools (<< 0.9.900)
Replaces: liblur3 (<< 0.9-1), libratbag-tools (<< 0.9.900)
Description: Logitech Unifying Receiver control tool
 This package contains lur-command, which controls Logitech Unifying
 Receivers and attached devices, allowing devices to be enumerated,
 disconnected and paired.

Package: libratbag-tools
Architecture: all
Section: oldlibs
Depends: ${misc:Depends},
         lur-command,
         ratbagd
Description: configuration tools for gaming mice (transitional package)
 This package used to provide lur-command and ratbag-command.
 lur-command is now packaged in its own package, and ratbag-command
 has been replaced by ratbagd's ratbagctl.
 .
 This package can safely be removed.

Package: ratbagd
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-evdev,
         python3-gi
Breaks: libratbag-common (<< 0.9.900)
Replaces: libratbag-common (<< 0.9.900)
Description: D-Bus daemon handling mouse configuration
 ratbagd provides access over D-Bus to mouse settings exposed by
 libratbag, such as DPI and button mappings on gaming mice.
 .
 It currently supports some Etekcity, G.Skill and Roccat mice, and
 most Logitech mice (both gaming and generic mice).

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LC_ALL = C.UTF-8

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -Dudev-dir=/lib/udev -Dsystemd-unit-dir=/lib/systemd/system

override_dh_auto_install:
	find . -name \*.md5 -delete
	chmod 644 data/devices/*.device
	dh_auto_install

override_dh_missing:
	dh_missing --list-missing

## libratbag 0.10

=== debian/changelog ===
libratbag (0.10-1build1) eoan; urgency=high

  * No change rebuild reverting to use systemd 240-6ubuntu9

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 14 Aug 2019 17:27:10 +0200

libratbag (0.10-1) unstable; urgency=medium

  * New upstream release.
  * Drop obsolete pre-installation clean-up in debian/rules.
  * Switch to debhelper compatibility level 12.
  * Standards-Version 4.4.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 13 Aug 2019 18:18:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Section: libs
 Priority: optional
 Build-Depends: check,
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                dh-python,
                git,
                libevdev-dev,
                libglib2.0-dev,
+               libjson-glib-dev,
                libsystemd-dev (>= 227),
                libudev-dev,
+               libunistring-dev,
                meson (>= 0.40),
                pkg-config,
                python3-dev,
@@ -18,7 +20,7 @@
                python3-lxml,
                swig,
                systemd
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/libratbag
 Vcs-Git: https://salsa.debian.org/debian/libratbag.git
 Homepage: https://github.com/libratbag/libratbag/

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LC_ALL = C.UTF-8

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -Dudev-dir=/lib/udev -Dsystemd-unit-dir=/lib/systemd/system

override_dh_missing:
	dh_missing --list-missing

## libratbag 0.13

=== debian/changelog ===
libratbag (0.13-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.5.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 10 Feb 2020 17:28:37 +0100

libratbag (0.12-1) unstable; urgency=medium

  * New upstream release.
  * Drop the obsolete dh_missing override.

 -- Stephen Kitt <skitt@debian.org>  Fri, 20 Dec 2019 23:41:32 +0100

libratbag (0.11-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.4.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 08 Nov 2019 17:44:18 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-lxml,
                swig,
                systemd
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/libratbag
 Vcs-Git: https://salsa.debian.org/debian/libratbag.git
 Homepage: https://github.com/libratbag/libratbag/
@@ -90,8 +90,9 @@
 Breaks: libratbag-common (<< 0.9.900)
 Replaces: libratbag-common (<< 0.9.900)
 Description: D-Bus daemon handling mouse configuration
- ratbagd provides access over D-Bus to mouse settings exposed by
- libratbag, such as DPI and button mappings on gaming mice.
+ ratbagd provides access over D-Bus to settings exposed by libratbag,
+ such as DPI and button mappings on gaming mice.
  .
- It currently supports some Etekcity, G.Skill and Roccat mice, and
- most Logitech mice (both gaming and generic mice).
+ It currently supports some Etekcity, G.Skill, Roccat, and SteelSeries
+ mice, most Logitech gaming mice, and some Logitech keyboards and
+ non-gaming mice.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libratbag-$1.tar.gz%" \
    https://github.com/libratbag/libratbag/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libratbag 0.14

=== debian/changelog ===
libratbag (0.14-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 18 May 2020 17:13:45 +0200

## libratbag 0.15

=== meson_options.txt ===
option('udev-dir',
	type: 'string',
	value: '',
	description: 'udev base directory [default=$prefix/lib/udev]')

option('tests',
	type: 'boolean',
	value: true,
	description: 'Build the tests (default=yes)')

option('systemd-unit-dir',
	type : 'string',
	value : '',
	description : 'systemd unit directory [default=$libdir/systemd/system]')

option('dbus-root-dir',
	type : 'string',
	value : '',
	description : 'dbus service directory [default=$datadir/dbus-1]')

option('documentation',
	type: 'boolean',
	value: false,
	description: 'Enable documentation build (default=no)')

option('dbus-group',
	type: 'string',
	value : '',
	description : 'The UNIX group that is granted access to the ratbagd D-Bus service. By default all users may access it.')

option('systemd',
	type : 'boolean',
	value : true,
	description : 'Build systemd unit files')

option('logind-provider',
  type : 'combo',
  choices: [ 'elogind', 'systemd'],
  value : 'systemd',
  description : 'Which logind provider to use')

option('coverity',
       type: 'boolean',
       value: false,
       description: 'Enable coverity build fixes, see meson.build for details [default=false]')

=== debian/changelog ===
libratbag (0.15-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper compatibility level 13.

 -- Stephen Kitt <skitt@debian.org>  Sat, 26 Sep 2020 09:57:10 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: libs
 Priority: optional
 Build-Depends: check,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                git,
                libevdev-dev,

## libratbag 0.16

=== debian/changelog ===
libratbag (0.16-1) unstable; urgency=medium

  * Standards-Version 4.6.0, no change required.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Sep 2021 20:54:21 +0200

libratbag (0.16-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Standards-Version 4.5.1, no change required.
  * Update patch forwarding status.

 -- Stephen Kitt <skitt@debian.org>  Wed, 30 Jun 2021 19:30:45 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-lxml,
                swig,
                systemd
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/libratbag
 Vcs-Git: https://salsa.debian.org/debian/libratbag.git
 Homepage: https://github.com/libratbag/libratbag/

## libratbag 0.17

=== debian/changelog ===
libratbag (0.17-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libsystemd-dev and meson.
    + lur-command: Drop versioned constraint on liblur3 and libratbag-tools in
      Replaces.
    + lur-command: Drop versioned constraint on liblur3 and libratbag-tools in
      Breaks.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Stephen Kitt ]
  * New upstream release, merging manpage-fixes.patch and unkown.patch.
  * Remove disable-valgrind.patch, it is no longer needed since upstream
    handles valgrind being present or not.
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 10 Nov 2022 18:14:09 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                libevdev-dev,
                libglib2.0-dev,
                libjson-glib-dev,
-               libsystemd-dev (>= 227),
+               libsystemd-dev,
                libudev-dev,
                libunistring-dev,
-               meson (>= 0.40),
+               meson,
                pkg-config,
                python3-dev,
                python3-evdev,
@@ -20,7 +20,7 @@
                python3-lxml,
                swig,
                systemd
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian/libratbag
 Vcs-Git: https://salsa.debian.org/debian/libratbag.git
 Homepage: https://github.com/libratbag/libratbag/
@@ -58,8 +58,6 @@
 Section: utils
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Breaks: liblur3 (<< 0.9-1), libratbag-tools (<< 0.9.900)
-Replaces: liblur3 (<< 0.9-1), libratbag-tools (<< 0.9.900)
 Description: Logitech Unifying Receiver control tool
  This package contains lur-command, which controls Logitech Unifying
  Receivers and attached devices, allowing devices to be enumerated,

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,3 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -Dudev-dir=/lib/udev -Dsystemd-unit-dir=/lib/systemd/system
-
-override_dh_missing:
-	dh_missing --list-missing

## libratbag 0.18

=== meson_options.txt ===
--- 
+++ 
@@ -38,8 +38,3 @@
   choices: [ 'elogind', 'systemd'],
   value : 'systemd',
   description : 'Which logind provider to use')
-
-option('coverity',
-       type: 'boolean',
-       value: false,
-       description: 'Enable coverity build fixes, see meson.build for details [default=false]')

=== debian/changelog ===
libratbag (0.18-1) unstable; urgency=medium

  * Standards-Version 4.7.2, no change required.
  * Upload to unstable along with piper.

 -- Stephen Kitt <skitt@debian.org>  Sat, 08 Mar 2025 15:58:47 +0100

libratbag (0.18-1~exp1) experimental; urgency=medium

  * New upstream release, incompatible with pre-0.8 versions of piper.
  * Drop disable-ratbagctl-test.patch, upstream handles skipping tests
    correctly.
  * Build-depend on pkgconf instead of pkg-config.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 29 Sep 2024 16:06:54 +0200

libratbag (0.17-3) unstable; urgency=medium

  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Sat, 20 Jan 2024 20:27:41 +0100

libratbag (0.17-3~exp1) experimental; urgency=medium

  * Build-depend on systemd-dev instead of systemd, and rely on the
    systemd.pc defaults for installation directories. Closes: #1060530.
  * Upload to experimental since the above moves files from / to /usr.

 -- Stephen Kitt <skitt@debian.org>  Sun, 14 Jan 2024 15:49:24 +0100

libratbag (0.17-2) unstable; urgency=medium

  [ Gioele Barabucci ]
  * Install dbus policy in /usr instead of /etc. Closes: #1040508.

  [ Stephen Kitt ]
  * Drop the libratbag-tools transitional package. Closes: #1032711.
  * Standards-Version 4.6.2, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 20 Dec 2023 09:45:16 +0100

=== debian/control ===
--- 
+++ 
@@ -13,14 +13,14 @@
                libudev-dev,
                libunistring-dev,
                meson,
-               pkg-config,
+               pkgconf,
                python3-dev,
                python3-evdev,
                python3-gi,
                python3-lxml,
                swig,
-               systemd
-Standards-Version: 4.6.1
+               systemd-dev
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/libratbag
 Vcs-Git: https://salsa.debian.org/debian/libratbag.git
 Homepage: https://github.com/libratbag/libratbag/
@@ -63,19 +63,6 @@
  Receivers and attached devices, allowing devices to be enumerated,
  disconnected and paired.
 
-Package: libratbag-tools
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends},
-         lur-command,
-         ratbagd
-Description: configuration tools for gaming mice (transitional package)
- This package used to provide lur-command and ratbag-command.
- lur-command is now packaged in its own package, and ratbag-command
- has been replaced by ratbagd's ratbagctl.
- .
- This package can safely be removed.
-
 Package: ratbagd
 Architecture: any
 Section: utils
@@ -85,7 +72,7 @@
          ${shlibs:Depends},
          python3-evdev,
          python3-gi
-Breaks: libratbag-common (<< 0.9.900)
+Breaks: libratbag-common (<< 0.9.900), piper (<< 0.8)
 Replaces: libratbag-common (<< 0.9.900)
 Description: D-Bus daemon handling mouse configuration
  ratbagd provides access over D-Bus to settings exposed by libratbag,

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export LC_ALL = C.UTF-8

export SYSTEMD_UNIT_DIR := $(shell pkg-config systemd --variable=systemdsystemunitdir)

%:
	dh $@ --with python3
